Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.async.services
[Groovy] Class PersistenceContextPromiseDecorator

    java.lang.Object
      grails.async.services.PersistenceContextPromiseDecorator

All Implemented Interfaces:
  PromiseDecorator

    @groovy.transform.CompileStatic
    class PersistenceContextPromiseDecorator

A PromiseDecorator that wraps a promise execution in a persistence context (example Hibernate session)

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`PersistenceContextInterceptorExecutor` | `persistenceContextInterceptorExecutor`

Constructor Summary
`PersistenceContextPromiseDecorator(PersistenceContextInterceptorExecutor persistenceContextInterceptorExecutor)`

Method Summary
`groovy.lang.Closure` | `decorate(groovy.lang.Closure original)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### persistenceContextInterceptorExecutor

    PersistenceContextInterceptorExecutor persistenceContextInterceptorExecutor

Constructor Detail

### PersistenceContextPromiseDecorator

    PersistenceContextPromiseDecorator(PersistenceContextInterceptorExecutor persistenceContextInterceptorExecutor)

Method Detail

### decorate

    @java.lang.Override
    groovy.lang.Closure decorate(groovy.lang.Closure original)

Groovy Documentation